#!/usr/bin/env bash

# Slurm job configuration
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --ntasks-per-node=1
#SBATCH --output=output_%j.out
#SBATCH --error=error_%j.er
#SBATCH --time=00:10:00
#SBATCH --job-name=CAFFE_LENET_PYTHON
#SBATCH --gres=gpu:1 --partition=develgpus
#SBATCH --mail-type=ALL

# Load the required modules
module use /usr/local/software/jureca/OtherStages
module load Stages/Devel-2018b
module load GCC/7.3.0
module load MVAPICH2/2.3.2-GDR
module load Caffe/1.0-Python-2.7.15

# Run the program
srun python -u train_lenet.py
