#!/usr/bin/env bash

# Slurm job configuration
#SBATCH --nodes=2
#SBATCH --ntasks=8
#SBATCH --ntasks-per-node=4
#SBATCH --output=output_%j.out
#SBATCH --error=error_%j.er
#SBATCH --time=00:10:00
#SBATCH --job-name=HVD_DATA_DIST
#SBATCH --gres=gpu:4 --partition=develgpus
#SBATCH --mail-type=ALL

# Load the required modules
module load GCC/8.3.0
module load MVAPICH2/2.3.2-GDR
module load mpi4py/3.0.1-Python-3.6.8
module load TensorFlow/1.13.1-GPU-Python-3.6.8
module load Horovod/0.16.2-GPU-Python-3.6.8

# Run the program
srun python -u mnist_data_distributed.py
